package com.ruoyi.system.operLog.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.system.operLog.domain.OperLog;
import com.ruoyi.system.operLog.domain.OperLogQuery;
import com.ruoyi.system.operLog.domain.OperLogVO;

/**
 * 操作日志 数据层
 *
 * @author ruoyi
 */
public interface OperLogMapper
{
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertOperlog(OperLog operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param query 操作日志对象
     * @return 操作日志集合
     */
    public List<OperLogVO> selectOperLogList(OperLogQuery query);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public OperLogVO selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    /**
     * 批量插入操作日志
     * @param list 操作日志列表
     * @return 插入的条数
     */
    public int batchInsert(@Param("list") List<OperLog> list);
}
